declare type AnyFunction = (...args: any[]) => any;
export declare type CacheType = {
    get: (key: string) => {
        value: any;
        until: number;
    } | undefined;
    set: (key: string, obj: {
        value: any;
        until: number;
    }) => any;
};
export declare const timeCacheResult: <T extends AnyFunction>(cache: CacheType, func: T, { cacheTime, nameToCache }: {
    cacheTime?: number;
    nameToCache?: string;
}) => T;
/**
 *
 * @param store le store
 * @param mapping mapping nom de fonction en cache => nom de variable dans le store (observable)
 */
export declare const createCache: <T extends {}>(store: T, mapping: {
    [key: string]: keyof T;
}) => CacheType;
export declare const CACHE_DURATION: {
    LONG: number;
    AVERAGE: number;
    FAST: number;
};
export {};
